%{?nodejs_find_provides_and_requires}

%global packagename spdx-ranges
%global enable_tests 1

Name:		nodejs-spdx-ranges
Version:	2.1.0
Release:	1%{?dist}
Summary:	List of SPDX standard license ranges

License:	CC-BY
URL:		https://github.com/kemitchell/spdx-ranges.js.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(defence-cli)
BuildRequires:	npm(replace-require-self)
%endif

%description
List of SPDX standard license ranges


%prep
%autosetup -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.json \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
defence -i javascript README.md | replace-require-self | node
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Feb  9 2019 Jared K. Smith <jsmith@fedoraproject.org> - 2.1.0-1
- Initial packaging
